Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionFormBean

    java.lang.Object
      |
      +--org.apache.struts.action.ActionFormBean

All Implemented Interfaces:
  java.io.Serializable

public class ActionFormBean
extends java.lang.Object
implements java.io.Serializable

An ActionFormBean is the definition of a form bean that is loaded from a `<form-bean>` element in the Struts configuration file. It can be subclassed as necessary to add additional properties.

Version:
  $Revision: 1.1 $ $Date: 2001/09/17 20:03:01 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `name` The bean name of this action form bean.
`private java.lang.String` | `type` The Java class name of this action form bean.

Constructor Summary
`ActionFormBean()`

Method Summary
`java.lang.String` | `getName()` Return the bean name of this action form bean.
`java.lang.String` | `getType()` Return the Java class name of this action form bean.
`void` | `setName(java.lang.String name)` Set the bean name of this action form bean.
`void` | `setType(java.lang.String type)` Set the Java class name of this action form bean.
`java.lang.String` | `toString()` Return a string representation of this object.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

  The bean name of this action form bean.

### type

    private java.lang.String type

  The Java class name of this action form bean.

Constructor Detail

### ActionFormBean

    public ActionFormBean()

Method Detail

### getName

    public java.lang.String getName()

  Return the bean name of this action form bean.

### setName

    public void setName(java.lang.String name)

  Set the bean name of this action form bean.
  Parameters:
    `name` - The new bean name

### getType

    public java.lang.String getType()

  Return the Java class name of this action form bean.

### setType

    public void setType(java.lang.String type)

  Set the Java class name of this action form bean.
  Parameters:
    `type` - The new Java class name

### toString

    public java.lang.String toString()

  Return a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation